MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029484Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-02-05 15:232018-06-29 21:19
Reporteremv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029484: Avoid inheritance of the BRepAlgoAPI_Check from BRepBuilderAPI_MakeShape
DescriptionCurrently the BRepAlgoAPI_Check is derived from BRepAlgoAPI_Algo, which is derived from BRepBuilderAPI_MakeShape and BOPAlgo_Options. For the checking purposes of BRepAlgoAPI_Check class such inheritance is excessive.
It is necessary to inherit the BRepAlgoAPI_Check class from BOPAlgo_Options directly.
Steps To Reproducetest bugs modalg_7 bug29484
TagsNo tags attached.
Test case numberbugs modalg_7 bug29484
Attached Files

- Relationships

-  Notes
(0073818)
git (administrator)
2018-02-05 15:29

Branch CR29484 has been created by emv.

SHA-1: 77f4273c8717d412f800355438eb42f88ddca2bd


Detailed log of new commits:

Author: emv
Date: Mon Feb 5 15:10:32 2018 +0300

    0029484: Avoid inheritance of the BRepAlgoAPI_Check from BRepBuilderAPI_MakeShape
    
    Inherit BRepAlgoAPI_Check class from BOPAlgo_Options instead of BRepAlgoAPI_Algo, as the latter is too excessive for checking purposes.
    
    Implementation of the Draw command "bopapicheck" for testing the BRepAlgoAPI_Check algorithm.
(0073842)
emv (developer)
2018-02-06 11:39

Dear Mikhail, could you please review the git branch CR29484?
Jenkins job - http://jenkins-test-10.nnov.opencascade.com:8080/view/CR29484-master-emv/view/COMPARE/. [^]
(0073848)
msv (developer)
2018-02-06 12:40

Reviewed.
(0073852)
apn (administrator)
2018-02-06 14:20

Combination -
OCCT branch : CR29484 SHA - 77f4273c8717d412f800355438eb42f88ddca2bd
Products branch : master SHA - a8f3ddb817485da4a83285b039a03044dfa7f6c0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

Test case:
bugs modalg_7 bug29484 - OK

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18219.41999999965 / 18606.899999999736 [-2.08%]
Products
Total CPU difference: 7474.329999999982 / 7496.790000000002 [-0.30%]
Windows-64-VC10:
OCCT
Total CPU difference: 17652.16835419863 / 17649.12633469849 [+0.02%]
Products
Total CPU difference: 8141.988591899922 / 8001.213289499973 [+1.76%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0073914)
git (administrator)
2018-02-11 09:55

Branch CR29484 has been deleted by kgv.

SHA-1: 77f4273c8717d412f800355438eb42f88ddca2bd

- Related Changesets
occt: master a9810829
Timestamp: 2018-02-05 12:10:32
Author: emv
Committer: apn
Details ] Diff ]
0029484: Avoid inheritance of the BRepAlgoAPI_Check from BRepBuilderAPI_MakeShape

Inherit BRepAlgoAPI_Check class from BOPAlgo_Options instead of BRepAlgoAPI_Algo, as the latter is too excessive for checking purposes.

Implementation of the Draw command "bopapicheck" for testing the BRepAlgoAPI_Check algorithm.
mod - src/BOPTest/BOPTest_CheckCommands.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Check.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Check.hxx Diff ] File ]
add - tests/bugs/modalg_7/bug29484 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-02-05 15:23 emv New Issue
2018-02-05 15:23 emv Assigned To => msv
2018-02-05 15:23 emv Assigned To msv => emv
2018-02-05 15:23 emv Status new => assigned
2018-02-05 15:29 git Note Added: 0073818
2018-02-06 11:39 emv Note Added: 0073842
2018-02-06 11:39 emv Assigned To emv => msv
2018-02-06 11:39 emv Status assigned => resolved
2018-02-06 11:39 emv Steps to Reproduce Updated View Revisions
2018-02-06 12:40 msv Note Added: 0073848
2018-02-06 12:40 msv Assigned To msv => bugmaster
2018-02-06 12:40 msv Status resolved => reviewed
2018-02-06 14:20 apn Test case number => bugs modalg_7 bug29484
2018-02-06 14:20 apn Note Added: 0073852
2018-02-06 14:20 apn Status reviewed => tested
2018-02-10 17:14 apn Changeset attached => occt master a9810829
2018-02-10 17:14 apn Assigned To bugmaster => apn
2018-02-10 17:14 apn Status tested => verified
2018-02-10 17:14 apn Resolution open => fixed
2018-02-11 09:55 git Note Added: 0073914
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker